Skip to content
Documentation
Explore guides

For administrators

Customer stage categories

List and show customer stage categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all customer stage categories

GET /api/v3/customer_stage_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Active",
    "position": 1
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Active 2",
    "position": 1
  }
]

Show a customer stage category

GET /api/v3/customer_stage_categories/{customer_stage_category_id}

Parameter Type Description
customer_stage_category_id string (UUID) Customer stage category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Active",
  "position": 1
}